std::scoped_allocator_adaptor::max_size(3)

NAME
std::scoped_allocator_adaptor::max_size - std::scoped_allocator_adaptor::max_size

Synopsis
   Defined in header <scoped_allocator>
   size_type max_size() const; (since C++11)
   Reports the maximum allocation size supported by the outer allocator, by calling
   std::allocator_traits<OuterAlloc>::max_size(outer_allocator())

Parameters
   (none)

Return value
   The maximum allocation size for OuterAlloc.

See also
   max_size returns the largest supported allocation size
   (until C++20) (public member function of std::allocator<T>)
   max_size returns the maximum object size supported by the allocator
   [static] (public static member function of std::allocator_traits<Alloc>)